com.amazonaws.services.codecommit.model

## Class GetBranchResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.GetBranchResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetBranchResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a get branch operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetBranchResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetBranchResult` `clone()`
`boolean` `equals(Object obj)`
`BranchInfo` `getBranch()` The name of the branch.
`int` `hashCode()`
`void` `setBranch(BranchInfo branch)` The name of the branch.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetBranchResult` `withBranch(BranchInfo branch)` The name of the branch.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetBranchResult

    public GetBranchResult()

### Method Detail

#### setBranch

    public void setBranch(BranchInfo branch)

The name of the branch.

Parameters:
  `branch` - The name of the branch.

#### getBranch

    public BranchInfo getBranch()

The name of the branch.

Returns:
  The name of the branch.

#### withBranch

    public GetBranchResult withBranch(BranchInfo branch)

The name of the branch.

Parameters:
  `branch` - The name of the branch.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetBranchResult clone()

Overrides:
  `clone` in class `Object`